sp_polyfills with Tarball Failure

running npm i gives error -> tarball data for @microsoft/sp-polyfills@1.2.0 (sha1-iImCPTaoQl6Dxjxki9BWOfq/Wwg=) seems to be corrupted. Trying one more time.

Likely due to a transient network problem. See: Shasum check or integrity/EINTEGRITY errors

Nope not a transient network error has been solid for the last three weeks.

Sometimes clearing the cache can help clear an earlier error. Run this to see what the alternatives are, or add --force if you donโ€™t mind clearing your cache.

npm cache clear

There have been networking problem reports here which turned out to be problems with particular parts of the internet, but I donโ€™t know how to debug those.

As a small data point, I am not able to reproduce the issue:

% npm install @microsoft/sp-polyfills@1.2.0
npm WARN deprecated es6-collections@0.5.6: not actively maintained anymore
npm notice created a lockfile as package-lock.json. You should commit this file.
npm WARN 10686@1.0.0 No description
npm WARN 10686@1.0.0 No repository field.
+ @microsoft/sp-polyfills@1.2.0
added 9 packages from 8 contributors and audited 9 packages in 4.352s

Hi

Npm cache clear --force

Followed by

Npm install @microsoft/sp-polyfills@1.2.0 reproduces the error verification failed while extracting @microsoft/ sp-polyfills@1.2.0 integrity checksum failed when using sha1 but got sha512- etcetc etc

Regards

Nigel

1 Like

This topic was automatically closed 14 days after the last reply. New replies are no longer allowed.